> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/lataa-tiedostoja-geopard-api-n-avulla.md).

# Lataa tiedostoja GeoPard API:n avulla

{% hint style="success" %}
Suositeltu tapa yli 6 Mt:n tiedostoille on [etukäteen allekirjoitettu URL -virta](/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/55.-lataa-zip-tiedostoja-yli-6-mb.md).
{% endhint %}

GeoPard API mahdollistaa zip-arkistojen lataamisen maaperä-/satotaso-/levitystiedosto-/lohkoraja-aineistoilla jatkokäsittelyä ja analytiikkaa varten.

{% hint style="danger" %}
AWS:n rajoituksen vuoksi suurin tiedostokoko, jonka voit ladata tämän REST-päätepisteen kautta, on 6 Mt.
{% endhint %}

Yli 6 Mt:n tiedostojen latausvaiheet on kuvattu kohdassa [Lataa zip-tiedostoja (yli 6 Mt)](/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/55.-lataa-zip-tiedostoja-yli-6-mb.md).

Heti maaperä-/satotaso-/levitysaineiston onnistuneen latauksen jälkeen GeoPard-moottori yhdistää sen määritetyn tilan sisällä sijaitseviin asiaankuuluviin lohkoihin.

Heti rajauksen onnistuneen latauksen jälkeen GeoPard-moottori käynnistää käsittelynsä.

Vastaus sisältää `<uuid>` jota voit käyttää käsittelyn tilan seuraamiseen.

#### Esimerkkipyyntö:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \\
--header 'Authorization: <token>' \\
--header 'Content-Type: application/zip' \\
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametrit ovat:

1. `<type>` - ladatun aineiston tyyppi. Sen on oltava `satotaso` TAI `maaperä` TAI `levitetty` TAI `rajaus`.
2. `<farm_uuid>` - `uuid` tilasta, johon tiedosto ladataan (valinnainen).
3. `<token>` - GeoPard-käyttöoikeustunnus.
4. `@path/to/file.zip` - ladattavan tiedoston polku.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/lataa-tiedostoja-geopard-api-n-avulla.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
